summaryrefslogtreecommitdiffstats
path: root/Wrappers/Python/fista-recipe
diff options
context:
space:
mode:
Diffstat (limited to 'Wrappers/Python/fista-recipe')
-rw-r--r--Wrappers/Python/fista-recipe/bld.bat11
-rw-r--r--Wrappers/Python/fista-recipe/build.sh10
-rw-r--r--Wrappers/Python/fista-recipe/meta.yaml29
3 files changed, 50 insertions, 0 deletions
diff --git a/Wrappers/Python/fista-recipe/bld.bat b/Wrappers/Python/fista-recipe/bld.bat
new file mode 100644
index 0000000..69c2afe
--- /dev/null
+++ b/Wrappers/Python/fista-recipe/bld.bat
@@ -0,0 +1,11 @@
+IF NOT DEFINED CIL_VERSION (
+ECHO CIL_VERSION Not Defined.
+exit 1
+)
+
+xcopy /e "%RECIPE_DIR%\.." "%SRC_DIR%"
+
+%PYTHON% setup.py -q bdist_egg
+:: %PYTHON% setup.py install --single-version-externally-managed --record=record.txt
+%PYTHON% setup.py install
+if errorlevel 1 exit 1
diff --git a/Wrappers/Python/fista-recipe/build.sh b/Wrappers/Python/fista-recipe/build.sh
new file mode 100644
index 0000000..e3f3552
--- /dev/null
+++ b/Wrappers/Python/fista-recipe/build.sh
@@ -0,0 +1,10 @@
+if [ -z "$CIL_VERSION" ]; then
+ echo "Need to set CIL_VERSION"
+ exit 1
+fi
+mkdir "$SRC_DIR/ccpifista"
+cp -r "$RECIPE_DIR/.." "$SRC_DIR/ccpifista"
+
+cd $SRC_DIR/ccpifista
+
+$PYTHON setup-fista.py install
diff --git a/Wrappers/Python/fista-recipe/meta.yaml b/Wrappers/Python/fista-recipe/meta.yaml
new file mode 100644
index 0000000..265541f
--- /dev/null
+++ b/Wrappers/Python/fista-recipe/meta.yaml
@@ -0,0 +1,29 @@
+package:
+ name: ccpi-fista
+ version: {{ environ['CIL_VERSION'] }}
+
+
+build:
+ preserve_egg_dir: False
+ script_env:
+ - CIL_VERSION
+# number: 0
+
+requirements:
+ build:
+ - python
+ - numpy
+ - setuptools
+
+ run:
+ - python
+ - numpy
+ #- astra-toolbox
+ - ccpi-regularizers
+
+
+
+about:
+ home: http://www.ccpi.ac.uk
+ license: Apache v.2.0 license
+ summary: 'CCPi Core Imaging Library (Viewer)'